complexType "AveragePriceLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 17 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, (calculationDates | calculationPeriods | calculationPeriodsSchedule | (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference)?), commodity?, quantityReference?, pricingStartDate?, calculation?, (relativePaymentDates | paymentDates | masterAgreementPaymentDates)
</...>

Content Model Elements (17):

  calculation (in averagePriceLeg),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsDatesReference,
  calculationPeriodsReference,
  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsScheduleReference,
  commodity,
  masterAgreementPaymentDates,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group),
  pricingStartDate,
  quantityReference (in averagePriceLeg),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  relativePaymentDates

All Direct / Indirect Based Elements (1):

  averagePriceLeg

Known Usage Locations

- As direct type of elements (1):
  averagePriceLeg

Annotation
The average price leg of an average price commodity bullion or non-precious metal forward transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) AveragePriceLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="AveragePriceLeg"> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:group ref="CommodityCalculationPeriods.model"/> <xsd:element minOccurs="0" ref="commodity"/> <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/> <xsd:element minOccurs="0" name="pricingStartDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/> <xsd:group ref="CommodityPaymentDates.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/17)
calculation

  Type: | FloatingLegCalculation, complex content

  Captures details relevant to the calculation of the floating price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculation" type="FloatingLegCalculation"/>

commodity

  Type: | Commodity, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="commodity"/>

pricingStartDate

  Type: | AdjustableDate, complex content

  Defines the Start of the Pricing period. PricingStartDate is optional when discrete pricingDates are supplied and is not recommended to be included. Should they coexist, pricingStartDate is expected to be the same as the earliest pricing date or earlier for a Term deal as the discrete dates will take precedence.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingStartDate" type="AdjustableDate"/>

quantityReference

  Type: | QuantityReference, empty content

  A pointer to a specification of quantity defined elsewhere.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.